View Issue Details

IDProjectCategoryView StatusLast Update
0001205bareos-core[All Projects] webuipublic2021-06-11 10:47
ReporterRyushinAssigned Tofrank 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSDevuan (Debian)OS Version10
Product Version19.2.6 
Fixed in Version 
Summary0001205: HeadLink.php error with PHP 7.3
DescriptionI received this error when trying to connecting to the webui:
Notice: compact(): Undefined variable: extras in /usr/share/bareos-webui/vendor/zendframework/zend-view/src/Helper/HeadLink.php on line 403

Seems to be related to this issue:
https://github.com/zendframework/zend-view/issues/172#issue-388080603
Though the line numbers for their fix is not the same.
Additional InformationI solved the issue by replacing the HeadLink.php file with an updated version from here:
https://raw.githubusercontent.com/zendframework/zend-view/f7242f7d5ccec2b8c319634b4098595382ef651c/src/Helper/HeadLink.php
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Relationships

related to 0001360 closedarogge Release Bareos 20.0.2 
related to 0001288 closedarogge Release Bareos 18.2.11 

Activities

frank

frank

2021-06-08 12:22

manager   ~0004144

Fix committed to bareos bareos-19.2 branch with changesetid 14922.

Related Changesets

bareos: master 0fb913c7

2021-05-31 16:45:27

frank

Ported: N/A

Details Diff
webui: set default extras as empty array to prevent compact() errors

PHP compact() function will create php error when $args is an
empty array.

See: https://github.com/zendframework/zend-view/pull/170

Fixes 0001205: HeadLink.php error with PHP 7.3
Affected Issues
0001205
mod - webui/vendor/zendframework/zend-view/src/Helper/HeadLink.php Diff File

bareos: bareos-18.2 9feacc87

2021-05-31 16:45:27

frank

Ported: N/A

Details Diff
webui: set default extras as empty array to prevent compact() errors

PHP compact() function will create php error when $args is an
empty array.

See: https://github.com/zendframework/zend-view/pull/170

Fixes 0001205: HeadLink.php error with PHP 7.3

(cherry picked from commit 0fb913c74d22bd73710d4e7097e1df0f662a990d)
Affected Issues
0001205
mod - webui/vendor/zendframework/zend-view/src/Helper/HeadLink.php Diff File

bareos: bareos-19.2 a1d7e953

2021-05-31 16:45:27

frank

Ported: N/A

Details Diff
webui: set default extras as empty array to prevent compact() errors

PHP compact() function will create php error when $args is an
empty array.

See: https://github.com/zendframework/zend-view/pull/170

Fixes 0001205: HeadLink.php error with PHP 7.3

(cherry picked from commit 0fb913c74d22bd73710d4e7097e1df0f662a990d)
Affected Issues
0001205
mod - webui/vendor/zendframework/zend-view/src/Helper/HeadLink.php Diff File

Issue History

Date Modified Username Field Change
2020-02-28 09:42 Ryushin New Issue
2021-04-29 10:44 frank Assigned To => frank
2021-04-29 10:44 frank Status new => assigned
2021-06-08 12:22 frank Changeset attached => bareos master 0fb913c7
2021-06-08 12:22 frank Changeset attached => bareos bareos-18.2 9feacc87
2021-06-08 12:22 frank Changeset attached => bareos bareos-19.2 a1d7e953
2021-06-08 12:22 frank Note Added: 0004144
2021-06-08 12:22 frank Status assigned => resolved
2021-06-08 12:22 frank Resolution open => fixed
2021-06-10 17:53 arogge Relationship added related to 0001360
2021-06-11 10:47 arogge Relationship added related to 0001288